Bug 961408 - Review Request: mingw-tesseract - MinGW Windows tesseract-ocr library
Review Request: mingw-tesseract - MinGW Windows tesseract-ocr library
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Cronenworth
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-09 10:49 EDT by Sandro Mani
Modified: 2013-07-20 05:49 EDT (History)
3 users (show)

See Also:
Fixed In Version: mingw-tesseract-3.02.02-3.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-20 05:39:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mike: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Sandro Mani 2013-05-09 10:49:14 EDT
Spec URL: http://smani.fedorapeople.org/mingw-tesseract.spec
SRPM URL: http://smani.fedorapeople.org/mingw-tesseract-3.02.02-1.fc20.src.rpm
Description: MinGW Windows tesseract-ocr library
Fedora Account System Username: smani

Note: this package requires mingw-leptonica, see #961406
Comment 1 Sandro Mani 2013-06-01 18:36:09 EDT
Spec URL: http://smani.fedorapeople.org/mingw-tesseract.spec
SRPM URL: http://smani.fedorapeople.org/mingw-tesseract-3.02.02-2.fc20.src.rpm

* Sun May 19 2013 Sandro Mani <manisandro@gmail.com> - 3.02.02-2
- Remove mingw_build_win32/64 macros
- Properly version mingw32-filesystem BuildRequires
Comment 2 Michael Cronenworth 2013-07-10 21:02:08 EDT
$ rpmlint mingw-tesseract-3.02.02-2.fc20.src.rpm \
          mingw32-tesseract-3.02.02-2.fc18.noarch.rpm \
          mingw32-tesseract-static-3.02.02-2.fc18.noarch.rpm \
          mingw32-tesseract-tools-3.02.02-2.fc18.noarch.rpm \
          mingw64-tesseract-3.02.02-2.fc18.noarch.rpm \
          mingw64-tesseract-static-3.02.02-2.fc18.noarch.rpm 
          mingw64-tesseract-tools-3.02.02-2.fc18.noarch.rpm \
          mingw32-tesseract-debuginfo-3.02.02-2.fc18.noarch.rpm \
          mingw64-tesseract-debuginfo-3.02.02-2.fc18.noarch.rpm
mingw-tesseract.src: W: spelling-error Summary(en_US) ocr -> OCR, cor, or
mingw-tesseract.src: W: spelling-error %description -l en_US ocr -> OCR, cor, or
mingw-tesseract.src: W: invalid-url Source0: http://leptonica.googlecode.com/files/tesseract-ocr-3.02.02.tar.gz HTTP Error 404: Not Found
mingw32-tesseract.noarch: W: spelling-error Summary(en_US) ocr -> OCR, cor, or
mingw32-tesseract.noarch: W: spelling-error %description -l en_US ocr -> OCR, cor, or
mingw32-tesseract-static.noarch: W: spelling-error Summary(en_US) ocr -> OCR, cor, or
mingw32-tesseract-static.noarch: W: spelling-error %description -l en_US ocr -> OCR, cor, or
mingw32-tesseract-static.noarch: W: no-documentation
mingw32-tesseract-tools.noarch: W: spelling-error Summary(en_US) ocr -> OCR, cor, or
mingw32-tesseract-tools.noarch: W: spelling-error %description -l en_US ocr -> OCR, cor, or
mingw32-tesseract-tools.noarch: W: no-documentation
mingw64-tesseract.noarch: W: spelling-error Summary(en_US) ocr -> OCR, cor, or
mingw64-tesseract.noarch: W: spelling-error %description -l en_US ocr -> OCR, cor, or
mingw64-tesseract-static.noarch: W: spelling-error Summary(en_US) ocr -> OCR, cor, or
mingw64-tesseract-static.noarch: W: spelling-error %description -l en_US ocr -> OCR, cor, or
mingw64-tesseract-static.noarch: W: no-documentation
mingw64-tesseract-tools.noarch: W: spelling-error Summary(en_US) ocr -> OCR, cor, or
mingw64-tesseract-tools.noarch: W: spelling-error %description -l en_US ocr -> OCR, cor, or
mingw64-tesseract-tools.noarch: W: no-documentation
mingw32-tesseract-debuginfo.noarch: E: debuginfo-without-sources
mingw64-tesseract-debuginfo.noarch: E: debuginfo-without-sources
9 packages and 0 specfiles checked; 2 errors, 19 warnings.

The only warning that is of concern is the download link. Looks like a typo. Should be:
http://tesseract-ocr.googlecode.com/files/tesseract-ocr-%{version}.tar.gz

+ OK
! needs attention

+ The package is named according to Fedora MinGW packaging guidelines
+ The spec file name matches the base package name.
+ The package meets the Packaging Guidelines
+ The package is licensed with a Fedora approved license and meets the
  Licensing Guidelines.
+ The license field in the spec file matches the actual license
+ The stated license is the same as the one for the corresponding
  native Fedora package
+ The package contains the license file (COPYING.lib)
+ Spec file is written in American English
+ Spec file is legible
+ Upstream sources match sources in the srpm. md5sum:
  26adc8154f0e815053816825dde246e6  Downloads/tesseract-ocr-3.02.02.tar.gz
  26adc8154f0e815053816825dde246e6  SOURCES/tesseract-ocr-3.02.02.tar.gz
+ The package builds in koji
n/a ExcludeArch bugs filed
+ BuildRequires look sane
n/a locale handling
n/a ldconfig in %post and %postun
+ Package does not bundle copies of system libraries
n/a Package isn't relocatable
+ Package owns all directories it creates
+ No duplicate files in %files
+ Permissions are properly set
+ Consistent use of macros
+ The package must contain code or permissible content
n/a Large documentation files should go in -doc subpackage
+ Files marked %doc should not affect package
n/a Header files should be in -devel
Not applicable to MinGW packages.
+ Static libraries should be in -static
n/a Library files that end in .so must go in a -devel package
n/a -devel must require the fully versioned base
+ Packages must not contain libtool .la files
n/a Packages containing GUI apps must include %{name}.desktop file
+ Directory ownership sane
+ Filenames are valid UTF-8

-----------
Summary:

- The review is for "tesseract" when upstream is "tesseract-ocr". I see the native Fedora package is "tesseract" so I will pass it here.
- Just fix the SOURCE0 url and you are good to go!

APPROVED
Comment 3 Sandro Mani 2013-07-11 06:33:54 EDT
Spec URL: http://smani.fedorapeople.org/mingw-tesseract.spec
SRPM URL: http://smani.fedorapeople.org/mingw-tesseract-3.02.02-3.fc20.src.rpm

* Thu Jul 11 2013 Sandro Mani <manisandro@gmail.com> - 3.02.02-3
- Fix Source0 URL


Thanks Michael!

New Package SCM Request
=======================
Package Name: mingw-tesseract
Short Description: MinGW Windows tesseract-ocr library
Owners: smani
Branches: f18 f19
InitialCC:
Comment 4 Gwyn Ciesla 2013-07-11 06:46:33 EDT
Git done (by process-git-requests).
Comment 5 Fedora Update System 2013-07-11 08:18:41 EDT
mingw-tesseract-3.02.02-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mingw-tesseract-3.02.02-3.fc19
Comment 6 Fedora Update System 2013-07-11 08:19:21 EDT
mingw-tesseract-3.02.02-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mingw-tesseract-3.02.02-3.fc18
Comment 7 Fedora Update System 2013-07-11 23:03:17 EDT
mingw-tesseract-3.02.02-3.fc18 has been pushed to the Fedora 18 testing repository.
Comment 8 Fedora Update System 2013-07-20 05:39:09 EDT
mingw-tesseract-3.02.02-3.fc18 has been pushed to the Fedora 18 stable repository.
Comment 9 Fedora Update System 2013-07-20 05:49:52 EDT
mingw-tesseract-3.02.02-3.fc19 has been pushed to the Fedora 19 stable repository.

Note You need to log in before you can comment on or make changes to this bug.